Bug 588519 - Badness at kernel/time/timekeeping.c:226
Badness at kernel/time/timekeeping.c:226
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 16:55 EDT by Pawel Salek
Modified: 2010-12-03 10:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:08:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pawel Salek 2010-05-03 16:55:26 EDT
Description of problem:
A badness was reported in connection to a suspend event on a iBook G4.

Version-Release number of selected component (if applicable):
2.6.32.11-99.fc12.ppc 

How reproducible:
Hard to say.

Additional info:
May  3 22:33:10 localhost kernel: Badness at kernel/time/timekeeping.c:226
May  3 22:33:10 localhost kernel: NIP: c008303c LR: c00831c0 CTR: c03b2624
May  3 22:33:10 localhost kernel: REGS: eda97b90 TRAP: 0700   Not tainted  (2.6.32.11-99.fc12.ppc)
kernel: MSR: 02023032 <FP,VEC,ME,CE,IR,DR>  CR: 24424424  XER: 20000000
kernel: TASK = eef03e00[3499] 'pm-suspend' THREAD: eda96000
kernel: GPR00: 00000001 eda97c40 eef03e00 eda97c78 00000005 00000000 00000000 00000000 
kernel: GPR08: 01c5ab29 00000001 00000004 00000000 02066d94 100fc584 c07251a0 c0725504 
kernel: GPR16: 00000002 c07b2d98 00000005 c06ff354 c07b2d99 00000000 00000000 00000001 
kernel: GPR24: 00000000 00000001 00000000 00000000 00000000 00000005 eda97c78 eda97c40 
kernel: NIP [c008303c] getnstimeofday+0x34/0x144
kernel: LR [c00831c0] do_gettimeofday+0x2c/0x4c
kernel: Call Trace:
kernel: [eda97c40] [c00736c8] queue_work+0x34/0x3c (unreliable)
kernel: [eda97c70] [c00831c0] do_gettimeofday+0x2c/0x4c
kernel: [eda97c90] [c03b265c] evdev_event+0x38/0x134
kernel: [eda97cc0] [c03ac234] input_pass_event+0xac/0xd8
kernel: [eda97ce0] [c03adb10] input_handle_event+0x41c/0x430
kernel: [eda97d00] [c03aeafc] input_event+0x7c/0x88
kernel: [eda97d30] [c03162b0] via_pmu_event+0x78/0x98
kernel: [eda97d40] [c0314928] via_pmu_interrupt+0x9a0/0x9f8
kernel: [eda97da0] [c0314c14] pmu_wait_complete+0x40/0x74
kernel: [eda97dc0] [c0315d90] powerbook_sleep+0xabc/0xb24
kernel: [eda97e40] [c0094158] suspend_devices_and_enter+0x170/0x220
kernel: [eda97e60] [c00942fc] enter_state+0xf4/0x148
kernel: [eda97e80] [c00937d0] state_store+0xd0/0xec
kernel: [eda97eb0] [c024bdf0] kobj_attr_store+0x30/0x40
kernel: [eda97ec0] [c017db3c] sysfs_write_file+0x138/0x19c
kernel: [eda97ef0] [c01207d8] vfs_write+0xc8/0x1bc
kernel: [eda97f10] [c01209c0] sys_write+0x5c/0x90
kernel: [eda97f40] [c0017214] ret_from_syscall+0x0/0x38
kernel: --- Exception: c00 at 0xfed9d44
kernel:    LR = 0xfe6ed18
kernel: Instruction dump:
kernel: 90010004 60000000 9421ffd0 7c0802a6 90010034 bf210014 7c3f0b78 3d20c072 
kernel: 7c7e1b78 8009090c 3160ffff 7d2b0110 <0f090000> 3f80c072 3f40c072 3fa0c075
Comment 1 Bug Zapper 2010-11-03 11:44:05 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 10:08:08 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.